%global provider	github
%global provider_tld	com
%global project		influxdb
%global repo		gomdb
%global commit		29fe330c5ab33c4e48470bd4b980bf522471190a

%global import_path	%{provider}.%{provider_tld}/%{project}/%{repo}
%global shortcommit	%(c=%{commit}; echo ${c:0:7})
%global debug_package	%{nil}

Name:		golang-%{provider}-%{project}-%{repo}
Version:	0
Release:	0.2.git%{shortcommit}%{?dist}
Summary:	Go wrapper for LMDB
License:	BSD
URL:		http://%{import_path}
Source0:	https://github.com/%{project}/%{repo}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
BuildArch:	noarch

%description
Go wrapper for LMDB - OpenLDAP Lightning Memory-Mapped Database

%package devel
BuildRequires:	golang >= 1.2.1-3
Requires:	golang >= 1.2.1-3
Summary:	Go wrapper for LMDB
Provides:	golang(%{import_path}) = %{version}-%{release}

%description devel
Go wrapper for LMDB - OpenLDAP Lightning Memory-Mapped Database

This package contains library source intended for
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.{go,c,h} %{buildroot}/%{gopath}/src/%{import_path}/

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}

%files devel
%doc LICENSE README.md
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%dir %{gopath}/src/%{import_path}
%{gopath}/src/%{import_path}/*.go
%{gopath}/src/%{import_path}/*.c
%{gopath}/src/%{import_path}/*.h

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.git29fe330
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Sep 25 2014 Jan Chaloupka <jchaloup@redhat.com> - 0-0.1.git29fe330
- First package for Fedora




